## org.jfree.report.structure
Class ContentElement

    java.lang.Object
      org.jfree.report.structure.Node
          org.jfree.report.structure.Element
              org.jfree.report.structure.ContentElement

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ContentElement

extends Element

A element holding values from the report data sources. These values can be URLs (pointing to text, images or drawables), Images, Text, Nodes, Drawables or Shapes.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.report.structure.Element
`ID_ATTRIBUTE, NAME_ATTRIBUTE, NAMESPACE_ATTRIBUTE, TYPE_ATTRIBUTE, VIRTUAL_ATTRIBUTE`

Constructor Summary
`ContentElement()`

Method Summary
`java.lang.Object` `clone()`
`Expression` `getValueExpression()`
`void` `setValueExpression(Expression valueExpression)`

Methods inherited from class org.jfree.report.structure.Element

`addExpression, getAttribute, getAttribute, getAttributeExpression, getAttributeExpression, getAttributeExpressionMap, getAttributeExpressions, getAttributeMap, getDisplayCondition, getExpressions, getId, getLocale, getLocaleFromAttributes, getName, getNamespace, getStyle, getStyleExpression, getStyleExpressions, getType, getVisibility, isEnabled, isVirtual, setAttribute, setAttribute, setAttributeExpression, setAttributeExpression, setDisplayCondition, setEnabled, setExpressions, setId, setName, setNamespace, setStyleExpression, setType, setVirtual, setVisibility`

Methods inherited from class org.jfree.report.structure.Node
`getGroup, getParent, getReport, getRootReport, setParent, updateParent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentElement

    public ContentElement()

Method Detail

### getValueExpression

    public Expression getValueExpression()

### setValueExpression

    public void setValueExpression(Expression valueExpression)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `Element`
  Throws:
    `java.lang.CloneNotSupportedException`